OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
dss_open_close.c File Reference
`#include "opal_config.h"`
`#include "opal/mca/base/mca_base_param.h"`
`#include "opal/dss/dss_internal.h"`

## Functions
static void | opal_data_value_construct (opal_dss_value_t *ptr)
| Object constructors, destructors, and instantiations. More...
static void | opal_data_value_destruct (opal_dss_value_t *ptr)
| OBJ_CLASS_INSTANCE (opal_dss_value_t, opal_object_t, opal_data_value_construct, opal_data_value_destruct)
static void | opal_buffer_construct (opal_buffer_t *buffer)
static void | opal_buffer_destruct (opal_buffer_t *buffer)
| OBJ_CLASS_INSTANCE (opal_buffer_t, opal_object_t, opal_buffer_construct, opal_buffer_destruct)
static void | opal_dss_type_info_construct (opal_dss_type_info_t *obj)
static void | opal_dss_type_info_destruct (opal_dss_type_info_t *obj)
| OBJ_CLASS_INSTANCE (opal_dss_type_info_t, opal_object_t, opal_dss_type_info_construct, opal_dss_type_info_destruct)
static void | opal_pstat_construct (opal_pstats_t *obj)
| OBJ_CLASS_INSTANCE (opal_pstats_t, opal_list_item_t, opal_pstat_construct, NULL)
static void | opal_node_stats_construct (opal_node_stats_t *obj)
| OBJ_CLASS_INSTANCE (opal_node_stats_t, opal_object_t, opal_node_stats_construct, NULL)
int | opal_dss_open (void)
| DSS initialization function. More...
int | opal_dss_close (void)
| DSS finalize function.

## Variables
bool | opal_dss_initialized = false
| globals
int | opal_dss_verbose = -1
int | opal_dss_initial_size
int | opal_dss_threshold_size
opal_pointer_array_t | opal_dss_types
opal_data_type_t | opal_dss_num_reg_types
opal_dss_buffer_type_t | default_buf_type
opal_dss_t | opal_dss

## Function Documentation

static void opal_buffer_construct | ( | opal_buffer_t * | buffer | ) |
| static

set the default buffer type

References opal_buffer_t::base_ptr, opal_buffer_t::bytes_allocated, opal_buffer_t::bytes_used, opal_buffer_t::pack_ptr, opal_buffer_t::type, and opal_buffer_t::unpack_ptr.

static void opal_data_value_construct | ( | opal_dss_value_t * | ptr | ) |
| static

Object constructors, destructors, and instantiations.

Data Value

References OPAL_UNDEF.

int opal_dss_open | ( | void |  | ) |

DSS initialization function.

In dynamic libraries, declared objects and functions don't get loaded until called. We need to ensure that the opal_dss function structure gets loaded, so we provide an "open" call that is executed as part of the program startup.

set the default buffer type. If we are in debug mode, then we default to fully described buffers. Otherwise, we default to non-described for brevity and performance

References mca_base_param_lookup_int(), mca_base_param_register_int(), OBJ_CONSTRUCT, OPAL_BOOL, OPAL_BYTE, OPAL_BYTE_OBJECT, OPAL_DATA_TYPE, OPAL_DATA_VALUE, opal_dss_initialized, OPAL_INT, OPAL_INT16, OPAL_INT32, OPAL_INT64, OPAL_INT8, OPAL_NODE_STAT, OPAL_NULL, OPAL_PID, opal_pointer_array_init(), OPAL_PSTAT, OPAL_SIZE, OPAL_STRING, OPAL_UINT, OPAL_UINT16, OPAL_UINT32, OPAL_UINT64, and OPAL_UINT8.

Referenced by opal_init_util().

## Variable Documentation

opal_dss_t opal_dss

Initial value:
= {
opal_dss_set,
opal_dss_get,
opal_dss_set_buffer_type,
opal_dss_pack,
opal_dss_unpack,
opal_dss_copy,
opal_dss_compare,
opal_dss_size,
opal_dss_print,
opal_dss_release,
opal_dss_peek,
opal_dss_unload,
opal_dss_load,
opal_dss_copy_payload,
opal_dss_register,
opal_dss_lookup_data_type,
opal_dss_dump_data_types,
opal_dss_dump
}